Extending Qt Creator Manual | TextEditorLinkLabel

Extending Qt Creator Manual 4.5.2

# TextEditorLinkLabel Class

(TextEditor::TextEditorLinkLabel)

- List of all members, including inherited members

## Public Functions

| TextEditorLinkLabel(QWidget *parent = 0)
TextEditorWidget::Link | link() const
void | setLink(TextEditorWidget::Link link)

## Protected Functions

void | mouseMoveEvent(QMouseEvent *event)
void | mousePressEvent(QMouseEvent *event)
void | mouseReleaseEvent(QMouseEvent *event)

## Member Function Documentation

### TextEditorLinkLabel::TextEditorLinkLabel(QWidget *parent = 0)

Default constructs an instance of TextEditorLinkLabel.

### TextEditorWidget::Link TextEditorLinkLabel::link() const

See also setLink().

### `[protected]` void TextEditorLinkLabel::mouseMoveEvent(QMouseEvent *event)

### `[protected]` void TextEditorLinkLabel::mousePressEvent(QMouseEvent *event)

### `[protected]` void TextEditorLinkLabel::mouseReleaseEvent(QMouseEvent *event)

### void TextEditorLinkLabel::setLink(TextEditorWidget::Link link)

See also link().